wreport::error_type Class Reference

For functions handling data with multiple types, reports a mismatch between the type requested and the type found. More...

`#include <error.h>`

Inheritance diagram for wreport::error_type:

## Static Public Member Functions

static void | throwf (const char *fmt,...) WREPORT_THROWF_ATTRS(1
| Throw the exception, building the message printf-style.
Static Public Member Functions inherited from wreport::error
static const char * | strerror (ErrorCode code)
| String description for an error code.

## Additional Inherited Members

Public Member Functions inherited from wreport::errors::StringBase< WR_ERR_TYPE >
| StringBase (const std::string &msg) noexcept
ErrorCode | code () const noexcept override
| Exception-specific error code.
const char * | what () const noexcept override
| Error message.
Data Fields inherited from wreport::errors::StringBase< WR_ERR_TYPE >
std::string | msg
| error message returned by what()

## Detailed Description

For functions handling data with multiple types, reports a mismatch between the type requested and the type found.

The documentation for this class was generated from the following file:

- error.h